=== src/slowmoVideo/Makefile ===
# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 2.8

# Default target executed when no arguments are given to make.
default_target: all
.PHONY : default_target

#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canonical targets will work.
.SUFFIXES:

# Remove some rules from gmake that .SUFFIXES does not remove.
SUFFIXES =

.SUFFIXES: .hpux_make_needs_suffix_list

# Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:
.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /usr/bin/cmake

# The command to remove a file.
RM = /usr/bin/cmake -E remove -f

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /home/mso/src/slowmoVideo/slowmoVideo

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /home/mso/src/slowmoVideo/slowmoVideo

#=============================================================================
# Targets provided globally by CMake.

# Special rule for the target edit_cache
edit_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running interactive CMake command-line interface..."
	/usr/bin/cmake -i .
.PHONY : edit_cache

# Special rule for the target edit_cache
edit_cache/fast: edit_cache
.PHONY : edit_cache/fast

# Special rule for the target install
install: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install

# Special rule for the target install
install/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install/fast

# Special rule for the target install/local
install/local: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local

# Special rule for the target install/local
install/local/fast: install/local
.PHONY : install/local/fast

# Special rule for the target install/strip
install/strip: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip

# Special rule for the target install/strip
install/strip/fast: install/strip
.PHONY : install/strip/fast

# Special rule for the target list_install_components
list_install_components:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Available install components are: \"Unspecified\""
.PHONY : list_install_components

# Special rule for the target list_install_components
list_install_components/fast: list_install_components
.PHONY : list_install_components/fast

# Special rule for the target rebuild_cache
rebuild_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake to regenerate build system..."
	/usr/bin/cmake -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : rebuild_cache

# Special rule for the target rebuild_cache
rebuild_cache/fast: rebuild_cache
.PHONY : rebuild_cache/fast

# The main all target
all: cmake_check_build_system
	$(CMAKE_COMMAND) -E cmake_progress_start /home/mso/src/slowmoVideo/slowmoVideo/CMakeFiles /home/mso/src/slowmoVideo/slowmoVideo/CMakeFiles/progress.marks
	$(MAKE) -f CMakeFiles/Makefile2 all
	$(CMAKE_COMMAND) -E cmake_progress_start /home/mso/src/slowmoVideo/slowmoVideo/CMakeFiles 0
.PHONY : all

# The main clean target
clean:
	$(MAKE) -f CMakeFiles/Makefile2 clean
.PHONY : clean

# The main clean target
clean/fast: clean
.PHONY : clean/fast

# Prepare targets for installation.
preinstall: all
	$(MAKE) -f CMakeFiles/Makefile2 preinstall
.PHONY : preinstall

# Prepare targets for installation.
preinstall/fast:
	$(MAKE) -f CMakeFiles/Makefile2 preinstall
.PHONY : preinstall/fast

# clear depends
depend:
	$(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1
.PHONY : depend

#=============================================================================
# Target rules for targets named sV

# Build rule for target.
sV: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 sV
.PHONY : sV

# fast build rule for target.
sV/fast:
	$(MAKE) -f lib/CMakeFiles/sV.dir/build.make lib/CMakeFiles/sV.dir/build
.PHONY : sV/fast

#=============================================================================
# Target rules for targets named sVencode

# Build rule for target.
sVencode: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 sVencode
.PHONY : sVencode

# fast build rule for target.
sVencode/fast:
	$(MAKE) -f lib/CMakeFiles/sVencode.dir/build.make lib/CMakeFiles/sVencode.dir/build
.PHONY : sVencode/fast

#=============================================================================
# Target rules for targets named sVflow

# Build rule for target.
sVflow: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 sVflow
.PHONY : sVflow

# fast build rule for target.
sVflow/fast:
	$(MAKE) -f lib/CMakeFiles/sVflow.dir/build.make lib/CMakeFiles/sVflow.dir/build
.PHONY : sVflow/fast

#=============================================================================
# Target rules for targets named sVinfo

# Build rule for target.
sVinfo: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 sVinfo
.PHONY : sVinfo

# fast build rule for target.
sVinfo/fast:
	$(MAKE) -f lib/CMakeFiles/sVinfo.dir/build.make lib/CMakeFiles/sVinfo.dir/build
.PHONY : sVinfo/fast

#=============================================================================
# Target rules for targets named sVvis

# Build rule for target.
sVvis: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 sVvis
.PHONY : sVvis

# fast build rule for target.
sVvis/fast:
	$(MAKE) -f lib/CMakeFiles/sVvis.dir/build.make lib/CMakeFiles/sVvis.dir/build
.PHONY : sVvis/fast

#=============================================================================
# Target rules for targets named sVgui

# Build rule for target.
sVgui: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 sVgui
.PHONY : sVgui

# fast build rule for target.
sVgui/fast:
	$(MAKE) -f libgui/CMakeFiles/sVgui.dir/build.make libgui/CMakeFiles/sVgui.dir/build
.PHONY : sVgui/fast

#=============================================================================
# Target rules for targets named sVproj

# Build rule for target.
sVproj: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 sVproj
.PHONY : sVproj

# fast build rule for target.
sVproj/fast:
	$(MAKE) -f project/CMakeFiles/sVproj.dir/build.make project/CMakeFiles/sVproj.dir/build
.PHONY : sVproj/fast

#=============================================================================
# Target rules for targets named slowmoInterpolate

# Build rule for target.
slowmoInterpolate: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 slowmoInterpolate
.PHONY : slowmoInterpolate

# fast build rule for target.
slowmoInterpolate/fast:
	$(MAKE) -f slowmoCLI/CMakeFiles/slowmoInterpolate.dir/build.make slowmoCLI/CMakeFiles/slowmoInterpolate.dir/build
.PHONY : slowmoInterpolate/fast

#=============================================================================
# Target rules for targets named videoInfo

# Build rule for target.
videoInfo: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 videoInfo
.PHONY : videoInfo

# fast build rule for target.
videoInfo/fast:
	$(MAKE) -f slowmoCLI/CMakeFiles/videoInfo.dir/build.make slowmoCLI/CMakeFiles/videoInfo.dir/build
.PHONY : videoInfo/fast

#=============================================================================
# Target rules for targets named slowmoUI

# Build rule for target.
slowmoUI: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 slowmoUI
.PHONY : slowmoUI

# fast build rule for target.
slowmoUI/fast:
	$(MAKE) -f slowmoUI/CMakeFiles/slowmoUI.dir/build.make slowmoUI/CMakeFiles/slowmoUI.dir/build
.PHONY : slowmoUI/fast

#=============================================================================
# Target rules for targets named slowmoFlowEdit

# Build rule for target.
slowmoFlowEdit: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 slowmoFlowEdit
.PHONY : slowmoFlowEdit

# fast build rule for target.
slowmoFlowEdit/fast:
	$(MAKE) -f slowmoFlowEdit/CMakeFiles/slowmoFlowEdit.dir/build.make slowmoFlowEdit/CMakeFiles/slowmoFlowEdit.dir/build
.PHONY : slowmoFlowEdit/fast

#=============================================================================
# Target rules for targets named slowmoInfo

# Build rule for target.
slowmoInfo: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 slowmoInfo
.PHONY : slowmoInfo

# fast build rule for target.
slowmoInfo/fast:
	$(MAKE) -f slowmoInfo/CMakeFiles/slowmoInfo.dir/build.make slowmoInfo/CMakeFiles/slowmoInfo.dir/build
.PHONY : slowmoInfo/fast

#=============================================================================
# Target rules for targets named slowmoRenderer

# Build rule for target.
slowmoRenderer: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 slowmoRenderer
.PHONY : slowmoRenderer

# fast build rule for target.
slowmoRenderer/fast:
	$(MAKE) -f slowmoRenderer/CMakeFiles/slowmoRenderer.dir/build.make slowmoRenderer/CMakeFiles/slowmoRenderer.dir/build
.PHONY : slowmoRenderer/fast

#=============================================================================
# Target rules for targets named visualizeFlow

# Build rule for target.
visualizeFlow: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 visualizeFlow
.PHONY : visualizeFlow

# fast build rule for target.
visualizeFlow/fast:
	$(MAKE) -f visualizeFlow/CMakeFiles/visualizeFlow.dir/build.make visualizeFlow/CMakeFiles/visualizeFlow.dir/build
.PHONY : visualizeFlow/fast

#=============================================================================
# Target rules for targets named Test

# Build rule for target.
Test: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 Test
.PHONY : Test

# fast build rule for target.
Test/fast:
	$(MAKE) -f test/CMakeFiles/Test.dir/build.make test/CMakeFiles/Test.dir/build
.PHONY : Test/fast

#=============================================================================
# Target rules for targets named encodeFramesTest

# Build rule for target.
encodeFramesTest: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 encodeFramesTest
.PHONY : encodeFramesTest

# fast build rule for target.
encodeFramesTest/fast:
	$(MAKE) -f test/CMakeFiles/encodeFramesTest.dir/build.make test/CMakeFiles/encodeFramesTest.dir/build
.PHONY : encodeFramesTest/fast

#=============================================================================
# Target rules for targets named encodeTest

# Build rule for target.
encodeTest: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 encodeTest
.PHONY : encodeTest

# fast build rule for target.
encodeTest/fast:
	$(MAKE) -f test/CMakeFiles/encodeTest.dir/build.make test/CMakeFiles/encodeTest.dir/build
.PHONY : encodeTest/fast

#=============================================================================
# Target rules for targets named UnitTests

# Build rule for target.
UnitTests: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 UnitTests
.PHONY : UnitTests

# fast build rule for target.
UnitTests/fast:
	$(MAKE) -f unittests/CMakeFiles/UnitTests.dir/build.make unittests/CMakeFiles/UnitTests.dir/build
.PHONY : UnitTests/fast

# Help Target
help:
	@echo "The following are some of the valid targets for this Makefile:"
	@echo "... all (the default if no target is provided)"
	@echo "... clean"
