=== src/V3D/Apps/CMakeLists.txt ===
if (V3DLIB_ENABLE_GPGPU)
  add_subdirectory(GL)
endif (V3DLIB_ENABLE_GPGPU)
