=== debian/changelog ===
slowmovideo (0.5+git20190116-3build2) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 24 Mar 2020 15:24:43 +0100

slowmovideo (0.5+git20190116-3build1) focal; urgency=medium

  * No-change upload for opencv soname changes.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 02 Feb 2020 10:49:25 +0100

slowmovideo (0.5+git20190116-3) unstable; urgency=medium

  * Upload to unstable.
  * Bump standards version to 4.4.1.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Mon, 28 Oct 2019 14:02:42 +0100

slowmovideo (0.5+git20190116-2) experimental; urgency=medium

  * Apply patch for opencv4 to fix FTBFS. (Closes: #922598)
  * Bump standards version to 4.4.0.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Fri, 06 Sep 2019 11:08:02 +0200

slowmovideo (0.5+git20190116-1) unstable; urgency=medium

  * Initial release. (Closes: #717369)

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Wed, 16 Jan 2019 09:02:04 +0100
