=== debian/control ===
Source: slowmovideo
Section: video
Priority: optional
Maintainer: Gürkan Myczko <gurkan@phys.ethz.ch>
Build-Depends: debhelper (>= 11), cmake, qtbase5-dev, qtscript5-dev, libopencv-dev (>= 4)
Standards-Version: 4.4.1
Homepage: http://slowmovideo.granjow.net/

Package: slowmovideo
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ffmpeg
Description: create slow-motion videos from your footage
 This does not simply make your videos play at 0.01 x speed. You can
 smoothly slow down and speed up your footage, optionally with motion
 blur.
 .
 How does slow motion work? slowmoVideo tries to find out where pixels
 move in the video (this information is called Optical Flow), and then
 uses this information to calculate the additional frames.
 .
 Videos in any format supported by ffmpeg can be loaded. Image sequences
 can also be loaded, so, if you did a timelapse with too few frames,
 slowmoVideo may help as well.
 slowmoVideo does not work with a constant slowdown factor but with
 curves that allow arbitrary time accelereation/deceleration/reversal.
 Motion blur can be added, as much as you want.
